/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem A. Archery Tournament                                  */
/*                                                                */
/* Original idea         Maxim Akhmedov                           */
/* Problem statement     Artem Vasilyev                           */
/* Test set              Artem Vasilyev                           */
/******************************************************************/
/* Checker                                                        */
/*                                                                */
/* Author                Artem Vasilyev                           */
/******************************************************************/

import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int line = 0;
        while (!ans.seekEoF()) {
            line++;
            int juryAns = ans.nextInt();
            int partAns = ouf.nextInt();
            if (juryAns != partAns) {
                return new Outcome(Outcome.Type.WA,
                        String.format("Answer at line %d is incorrect: expected %d, but got %d", line, juryAns, partAns));
            }
        }
        return new Outcome(Outcome.Type.OK, "OK, " + line + " lines");
    }
}

