/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem B. Box                                                 */
/*                                                                */
/* Original idea         Georgiy Korneev                          */
/* Problem statement     Niyaz Nigmatullin                        */
/* Test set              Niyaz Nigmatullin                        */
/******************************************************************/
/* Checker                                                        */
/*                                                                */
/* Author                Niyaz Nigmatullin                        */
/******************************************************************/

import ru.ifmo.testlib.Checker
import ru.ifmo.testlib.InStream
import ru.ifmo.testlib.Outcome

class Check : Checker {
    override fun test(inf: InStream, ouf: InStream, ans: InStream): Outcome {
        val ja = ans.nextToken()
        val pa = ouf.nextToken()
        val (a, b, c) = Triple(inf.nextInt(), inf.nextInt(), inf.nextInt())
        val (w, h) = Pair(inf.nextInt(), inf.nextInt())
        return when {
            ja != pa -> Outcome(Outcome.Type.WA, "Expected $ja, found $pa on ($a, $b, $c), {$w, $h}")
            else -> Outcome(Outcome.Type.OK, "[OK, $pa] on ($a, $b, $c), {$w, $h}")
        }
    }
}

