/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem J. Journey from Petersburg to Moscow                   */
/*                                                                */
/* Original idea         Gleb Evstropov                           */
/* Problem statement     Gleb Evstropov                           */
/* Test set              Gleb Evstropov                           */
/******************************************************************/
/* Checker                                                        */
/*                                                                */
/* Author                Gleb Evstropov                           */
/******************************************************************/

import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        long ja = ans.nextLong();
        long pa = ouf.nextLong();
        if (ja != pa) {
            return new Outcome(Outcome.Type.WA, String.format("The answer is incorrect: found %d, expected %d", pa, ja));
        }
        return new Outcome(Outcome.Type.OK, "Ok");
    }
}

