/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem B. Box                                                 */
/*                                                                */
/* Original idea         Georgiy Korneev                          */
/* Problem statement     Niyaz Nigmatullin                        */
/* Test set              Niyaz Nigmatullin                        */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Niyaz Nigmatullin                        */
/******************************************************************/

import java.util.*

private fun check(x: Int, y: Int, w: Int, h: Int) = ((w >= x) and (h >= y)) or ((h >= x) and (w >= y))
private fun tryToSolve(a: Int, b: Int, c: Int, w: Int, h: Int) =
        check(a + a + c + c, b + c + c, w, h) or check(a + c, 3 * b + a + c, w, h)

fun main(args: Array<String>) = with(Scanner(System.`in`)) {
    val (a, b, c) = Triple(nextInt(), nextInt(), nextInt())
    val (w, h) = Pair(nextInt(), nextInt())
    println(SolutionWA2().solve(a, b, c, w, h))
}

class SolutionWA2 {
    fun solve(a: Int, b: Int, c: Int, w: Int, h: Int) = when {
        tryToSolve(a, b, c, w, h) or tryToSolve(b, c, a, w, h) or tryToSolve(c, a, b, w, h) -> "Yes"
        else -> "No"
    }
}
