/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem B. Box                                                 */
/*                                                                */
/* Original idea         Georgiy Korneev                          */
/* Problem statement     Niyaz Nigmatullin                        */
/* Test set              Niyaz Nigmatullin                        */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Roman Elizarov                           */
/******************************************************************/


fun main(args: Array<String>) {
    val d = readLine()!!.split(" ").map { it.toInt() }
    val (w, h) = readLine()!!.split(" ").map { it.toInt() }
    fun fit(w1: Int, h1: Int) =
        w1 <= w && h1 <= h || w1 <= h && h1 <= w
    for (i in 0..2) for(j in 0..2) if (i != j) {
        val a = d[i]
        val b = d[j]
        val c = d[3 - i - j]
        if (fit(a + 2 * c, 2 * b + 2 * c) ||
            fit(a + b + c, 2 * b + 2 * c) ||
            fit(a + 2 * c, a + 2 * b + c) ||
            fit(c + b, 3 * a + b + c) ||
            fit(a + b + c, 2 * a + b + c))
        {
            println("Yes")
            return
        }
    }
    println("No")
}
