/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem D. Designing the Toy                                   */
/*                                                                */
/* Original idea         Maxim Akhmedov                           */
/* Problem statement     Maxim Akhmedov                           */
/* Test set              Maxim Akhmedov                           */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Pavel Kunyavsky                          */
/******************************************************************/

#include <cstdio>
#include <algorithm>
#include <cassert>

bool used[110][110][110];
bool any[3][110];

int main() {
  int a[3];
  assert(scanf("%d%d%d", &a[2], &a[1], &a[0]) == 3);

  int id = std::max_element(a, a+3) - a;
  if (a[id] * a[id] > a[0] * a[1] * a[2]) {
    printf("-1\n");
    return 0;
  }

  printf("%d\n", a[id]);
  int need = a[id];

  for (int c = 3; c >= 0; c--) {
    for (int i = 0; i < (id == 0 ? 1 : a[1] * a[2] / a[id]); i++) {
      for (int j = 0; j < (id == 1 ? 1 : a[0] * a[2] / a[id]); j++) {
        for (int k = 0; k < (id == 2 ? 1 : a[0] * a[1] / a[id]); k++) {
          int cnt = !any[0][i] + !any[1][j] + !any[2][k];
          if (!used[i][j][k] && cnt >= c && need) {
            any[0][i] = any[1][j] = any[2][k] = used[i][j][k] = 1;
            printf("%d %d %d\n", i, j, k);
            need--;
          }
        }
      }
    }
  }
  
}

