/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem D. Designing the Toy                                   */
/*                                                                */
/* Original idea         Maxim Akhmedov                           */
/* Problem statement     Maxim Akhmedov                           */
/* Test set              Maxim Akhmedov                           */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Roman Elizarov                           */
/******************************************************************/

class Dim(val s: Int, val p: Int)

const val X = 1
const val Y = 2
const val Z = 4

fun main(args: Array<String>) {
    val ps = listOf(X + Y, X + Z, Y + Z)
    val d = readLine()!!.split(" ")
        .mapIndexed { i, s -> Dim(s.toInt(), ps[i]) }
        .sortedBy { it.s }
    val (a, b, c) = d.map { it.s }
    if (c !in b..(a * b)) {
        println(-1)
        return
    }
    val m = Array(a) { BooleanArray(b) }
    for (i in 0 until a) m[i][i] = true
    for (j in a until b) m[0][j] = true
    var cnt = b
    for (i in 0 until a) for (j in 0 until b) {
        if (!m[i][j] && cnt < c) {
            m[i][j] = true
            cnt++
        }
    }
    println(cnt)
    for (i in 0 until a) for (j in 0 until b) if (m[i][j]) {
        val r = listOf(X, Y, Z).associate { it to 0 }.toMutableMap()
        val zero = X + Y + Z - d[2].p
        r[d[0].p - zero] = i
        r[d[1].p - zero] = j
        println("${r[X]} ${r[Y]} ${r[Z]}")
    }
}
