/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem E. Easy Quest                                          */
/*                                                                */
/* Original idea         Pavel Mavrin                             */
/* Problem statement     Pavel Mavrin                             */
/* Test set              Pavel Mavrin                             */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Anton Kovsharov                          */
/******************************************************************/

import java.util.*;
import java.io.*;
 
public class easy_ak {
    FastScanner in;
    PrintWriter out;
 
    public void solve() throws IOException {
        int n = in.nextInt();
        int[] a = new int[n];
        for (int i = 0; i < n; i++) {
            a[i] = in.nextInt();
        }
        ArrayList<Integer> res = new ArrayList();
        int[] bag = new int[1001];
        int p = 0;
        for (int i = 0; i < n; i++) {
            if (a[i] > 0) {
                bag[a[i]]++;
            } else if (a[i] == 0) {
                 
            } else if (a[i] < 0) {
                if (bag[-a[i]] == 0) {
                    while (p < i && a[p] != 0) {
                        p++;
                    }
                    if (p == i) {
                        out.println("NO");
                        return;
                    } 
                    p++;
                    res.add(-a[i]);
                } else {
                    bag[-a[i]]--;
                }
            }
        }
        while (p < n) {
            if (a[p] == 0) {
                res.add(1);
            }
            p++;
        }
        out.println("YES");
        for (int x : res) {
            out.print(x + " ");
        }
         
    }
 
    public void run() {
        try {
            in = new FastScanner();
            out = new PrintWriter(System.out);
 
            solve();
 
            out.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
 
    class FastScanner {
        BufferedReader br;
        StringTokenizer st;
 
        FastScanner() {
            br = new BufferedReader(new InputStreamReader(System.in));
        }
 
        String next() {
            while (st == null || !st.hasMoreTokens()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }
 
        int nextInt() {
            return Integer.parseInt(next());
        }
 
        long nextLong() {
            return Long.parseLong(next());
        }
 
        double nextDouble() {
            return Double.parseDouble(next());
        }
    }
 
    public static void main(String[] arg) {
        new easy_ak().run();
    }
}
