/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem E. Easy Quest                                          */
/*                                                                */
/* Original idea         Pavel Mavrin                             */
/* Problem statement     Pavel Mavrin                             */
/* Test set              Pavel Mavrin                             */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Pavel Kunyavsky                          */
/******************************************************************/

#include <cstdio>
#include <vector>

using namespace std;

int cnt[1001];

int main() {
  int n;
  scanf("%d", &n);

  vector<int> res;

  for (int i = 0; i < n; i++) {
    int a;
    scanf("%d", &a);
    if (a >= 0) {
      cnt[a]++;
    } else {
      if (cnt[-a] > 0) {
        cnt[-a]--;
      } else if (cnt[0] > 0) {
        cnt[0]--;
        res.push_back(-a);
      } else {
        printf("No\n");
        return 0;
      }
    }
  }
  for (int i = 0; i < cnt[0]; i++) {
    res.push_back(1);
  }
  printf("Yes\n");
  for (int x : res) {
    printf("%d ", x);
  }
  printf("\n");
}

