/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem E. Easy Quest                                          */
/*                                                                */
/* Original idea         Pavel Mavrin                             */
/* Problem statement     Pavel Mavrin                             */
/* Test set              Pavel Mavrin                             */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Roman Elizarov                           */
/******************************************************************/

fun main(args: Array<String>) {
    val n = readLine()!!.toInt()
    val a = readLine()!!.split(" " ).map { it.toInt() }
    val c = IntArray(1001)
    val u = arrayListOf<Int>()
    var nu = 0
    for (i in 0 until n) when {
        a[i] > 0 -> c[a[i]]++
        a[i] < 0 && c[-a[i]] > 0 -> c[-a[i]]--
        a[i] < 0 -> {
            if (--nu < 0) {
                println("No")
                return
            }
            u += -a[i]
        }
        else -> nu++
    }
    repeat(nu) { u += 1 }
    println("Yes")
    println(u.joinToString(" "))
}
