/******************************************************************/
/* ACM ICPC 2017-2018                                             */
/* NEERC - Northern Eurasia Finals                                */
/* St Petersburg - Barnaul - Tbilisi - Almaty, December 3, 2017   */
/******************************************************************/
/* Problem I. Interactive Sort                                    */
/*                                                                */
/* Original idea         Borys Minaiev                            */
/* Problem statement     Borys Minaiev                            */
/* Test set              Borys Minaiev                            */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Roman Elizarov                           */
/******************************************************************/

fun main(args: Array<String>) {
    val n = readLine()!!.toInt()
    val eis = mutableListOf((1..n / 2).toList())
    val o = IntArray((n + 1) / 2 + 1)
    for (j in 1..(n + 1) / 2) {
        var l = 0
        var r = eis.lastIndex
        while (l + 1 < r) {
            val m = (l + r) / 2
            println("? ${eis[m].first()} $j")
            when (readLine()!!) {
                "<" -> l = m
                ">" -> r = m
                else -> error("!")
            }
        }
        val rep = mutableListOf<List<Int>>()
        var op = 1 + (0 until l).sumBy { eis[it].size }
        for (k in l..r) {
            val a = mutableListOf<Int>()
            val b = mutableListOf<Int>()
            for (i in eis[k]) {
                println("? $i $j")
                when (readLine()!!) {
                    "<" -> {
                        a += i
                        op++
                    }
                    ">" -> b += i
                    else -> error("!")
                }
            }
            if (!a.isEmpty()) rep += a
            if (!b.isEmpty()) rep += b
        }
        o[j] = op
        eis.subList(l, r + 1).clear()
        eis.addAll(l, rep)
    }
    val e = IntArray(n / 2 + 1)
    eis.forEachIndexed { index, i -> e[i.single()] = index + 1 }
    // out 
    print("!")
    for (i in 1..n / 2) print(" ${e[i] * 2}")
    for (j in 1..(n + 1) / 2) print(" ${2 * o[j] - 1}")
    println()
}
